Runtime

## org.eclipse.gmf.runtime.common.core.service
Interface IProviderChangeListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  Service, Service.ProviderDescriptor

public interface IProviderChangeListener
extends java.util.EventListener

An interface for types that listen to service provider changes.

Service implementers are expected to implement this interface within their service should they need to know about state change in their providers.

Service provider implementers never need to implement this interface.

See Also:
  `IProvider.addProviderChangeListener(org.eclipse.gmf.runtime.common.core.service.IProviderChangeListener)`, `IProvider.removeProviderChangeListener(org.eclipse.gmf.runtime.common.core.service.IProviderChangeListener)`

Method Summary
`void` `providerChanged(ProviderChangeEvent event)` Handles an event indicating that a provider has changed.

Method Detail

### providerChanged

    public void providerChanged(ProviderChangeEvent event)

  Handles an event indicating that a provider has changed.

  Parameters:
    `event` - The provider change event to be handled.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.